# Query Corporation

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/merchant/query-corporation`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr></tbody></table>

{% hint style="info" %}

{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
     "data": {
        "merchant_id": 100396,
        "mobile": "+8618155753761",
        "email": "k.cuqxls@cnpons.bb",
        "director": {
            "director_id": 100474,
            "first_name": "Ruth",
            "last_name": "Miller",
            "id_type": 1,
            "id_no": "8bc771e4-ead3-435e",
            "citizenship_country": "BR",
            "address": {
                "address_id": 100860,
                "city_name": "beijing",
                "country_code": "BR",
                "postal_code": "275818",
                "state": "proident enim",
                "line": "Uevypxe Jicjqmfic Psbida Ogfpbcs Cgqih Jdjeb Juw Zlwfkyeptk Nniynhs Lx",
                "line2": "Ixlfjw Msnuvaay Wotq Uwxlat Gukkxlfbr Yoodixj Qapwwsi Vczokmzmze Fxpml"
            }
        },
        "shareholders": [{
                "shareholder_id": 100000,
                "customer_id": 100394,
                "first_name": "killy1",
                "last_name": "jane",
                "id_type": 1,
                "id_no": "234567",
                "citizenship_country": "MX"
            }],
        "status": 1,
        "create_time": "2024-12-20 16:45:16"
    },
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>mobile</td><td>string(16)</td><td><p>The whole mobile phone number.</p><p>Need to add an international area code</p></td></tr><tr><td>email</td><td>string</td><td>Email</td></tr><tr><td>status<mark style="color:red;">*</mark></td><td>Integer</td><td>Status :0-initial 1-enabled 2-disabled </td></tr><tr><td>business_category<mark style="color:red;">*</mark></td><td>Integer</td><td><p>Business Type</p><p>Refer to <a href="/pages/NpxZTDdE0vsJTgws36eV">Business Category</a></p></td></tr><tr><td>website_url<mark style="color:red;">*</mark></td><td>string</td><td>Website Url</td></tr><tr><td>corporation.corporation_id<mark style="color:red;">*</mark></td><td>long</td><td>Corporation ID</td></tr><tr><td>corporation.registration_name<mark style="color:red;">*</mark></td><td>string</td><td>Registration Name</td></tr><tr><td>corporation.registration_code<mark style="color:red;">*</mark></td><td>string</td><td>Registration Code</td></tr><tr><td>corporation.registration_country<mark style="color:red;">*</mark></td><td>string</td><td>Registration Country</td></tr><tr><td>corporation.business_scope<mark style="color:red;">*</mark></td><td>string</td><td>Business Scope</td></tr><tr><td>corporation.registration_address.line<mark style="color:red;">*</mark></td><td>string</td><td>The first line of the address.</td></tr><tr><td>corporation.registration_address.line2</td><td>string</td><td>The second line of the address.</td></tr><tr><td>corporation.registration_address.postal_code</td><td>string</td><td>The address zip code, or postal code</td></tr><tr><td>corporation.registration_address.city_name<mark style="color:red;">*</mark></td><td>string</td><td>The address city</td></tr><tr><td>corporation.registration_address.state<mark style="color:red;">*</mark></td><td>string</td><td>The address state</td></tr><tr><td>corporation.registration_address.country_code<mark style="color:red;">*</mark></td><td>string</td><td>Country code</td></tr><tr><td>director.director_id<mark style="color:red;">*</mark></td><td>long</td><td>Person ID</td></tr><tr><td>director.first_name<mark style="color:red;">*</mark></td><td>string</td><td>First name</td></tr><tr><td>director.last_name<mark style="color:red;">*</mark></td><td>string</td><td>Last name</td></tr><tr><td>director.id_type<mark style="color:red;">*</mark></td><td>integer</td><td>ID Type</td></tr><tr><td>director.id_no<mark style="color:red;">*</mark></td><td>string</td><td>ID Number</td></tr><tr><td>director.nationality<mark style="color:red;">*</mark></td><td>string</td><td>Nationality</td></tr><tr><td>director.address.line<mark style="color:red;">*</mark></td><td>string</td><td>The first line of the address.</td></tr><tr><td>director.address.line2</td><td>string</td><td>The second line of the address.</td></tr><tr><td>director.address.postal_code</td><td>string</td><td>The address zip code, or postal code</td></tr><tr><td>director.address.city_name<mark style="color:red;">*</mark></td><td>string</td><td>The address city</td></tr><tr><td>director.address.state</td><td>string</td><td>The address state</td></tr><tr><td>director.address.country_code<mark style="color:red;">*</mark></td><td>string</td><td>Country code</td></tr><tr><td>shareholders[0].shareholder_id</td><td>long</td><td>Shareholder ID</td></tr><tr><td>shareholders[0].first_name<mark style="color:red;">*</mark></td><td>string</td><td>First name</td></tr><tr><td>shareholders[0].last_name<mark style="color:red;">*</mark></td><td>string</td><td>Last name</td></tr><tr><td>shareholders[0].id_type<mark style="color:red;">*</mark></td><td>integer</td><td>ID Type</td></tr><tr><td>shareholders[0].id_no<mark style="color:red;">*</mark></td><td>string</td><td>ID Number</td></tr><tr><td>shareholders[0].nationality<mark style="color:red;">*</mark></td><td>string</td><td>Nationality</td></tr><tr><td>shareholders[0].address.line<mark style="color:red;">*</mark></td><td>string</td><td>The first line of the address.</td></tr><tr><td>shareholders[0].address.line2</td><td>string</td><td>The second line of the address.</td></tr><tr><td>shareholders[0].address.postal_code</td><td>string</td><td>The address zip code, or postal code</td></tr><tr><td>shareholders[0].address.city_name<mark style="color:red;">*</mark></td><td>string</td><td>The address city</td></tr><tr><td>shareholders[0].address.state</td><td>string</td><td>The address state</td></tr><tr><td>shareholders[0].address.country_code<mark style="color:red;">*</mark></td><td>string</td><td>Country code</td></tr><tr><td>created_at<mark style="color:red;">*</mark></td><td>string</td><td>Created AT</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/merchant/query-corporation' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data":"3+PR9CSowtzYbO8lENHncR2QOK5OzMjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38**  is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/onboarding/query-corporation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
